-- Verify numerus:available_quote_status on pg

begin;

set search_path to numerus;

select 1 / count(*) from quote_status where quote_status = 'created' and name ='Created';
select 1 / count(*) from quote_status where quote_status = 'sent' and name ='Sent';
select 1 / count(*) from quote_status where quote_status = 'accepted' and name ='Accepted';
select 1 / count(*) from quote_status where quote_status = 'rejected' and name ='Rejected';
select 1 / count(*) from quote_status where quote_status = 'invoiced' and name ='Invoiced';

select 1 / count(*) from quote_status_i18n where quote_status = 'created' and name ='Creat' and lang_tag = 'ca';
select 1 / count(*) from quote_status_i18n where quote_status = 'created' and name ='Creado' and lang_tag = 'es';
select 1 / count(*) from quote_status_i18n where quote_status = 'sent' and name ='Enviat' and lang_tag= 'ca';
select 1 / count(*) from quote_status_i18n where quote_status = 'sent' and name ='Enviado' and lang_tag= 'es';
select 1 / count(*) from quote_status_i18n where quote_status = 'accepted' and name ='Acceptat' and lang_tag= 'ca';
select 1 / count(*) from quote_status_i18n where quote_status = 'accepted' and name ='Aceptado' and lang_tag= 'es';
select 1 / count(*) from quote_status_i18n where quote_status = 'rejected' and name ='Rebutjat' and lang_tag= 'ca';
select 1 / count(*) from quote_status_i18n where quote_status = 'rejected' and name ='Rechazado' and lang_tag= 'es';
select 1 / count(*) from quote_status_i18n where quote_status = 'invoiced' and name ='Facturat' and lang_tag = 'ca';
select 1 / count(*) from quote_status_i18n where quote_status = 'invoiced' and name ='Facturado' and lang_tag = 'es';

rollback;
